Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.http
Class HTTPRemoteNotificationClientHandler

    java.lang.Object
      mx4j.remote.AbstractRemoteNotificationClientHandler
          mx4j.tools.remote.http.HTTPRemoteNotificationClientHandler

All Implemented Interfaces:
  RemoteNotificationClientHandler

public class HTTPRemoteNotificationClientHandler
extends AbstractRemoteNotificationClientHandler

Version:
  $Revision: 1.3 $

Constructor Summary
`HTTPRemoteNotificationClientHandler(HTTPConnection connection, ConnectionNotificationEmitter emitter, HeartBeat heartbeat, java.util.Map environment)`

Method Summary
`protected javax.management.remote.NotificationResult` | `fetchNotifications(long sequence, int maxNumber, long timeout)` Calls the server side to fetch notifications.

Methods inherited from class mx4j.remote.AbstractRemoteNotificationClientHandler
`addNotificationListener, contains, getLogger, getMaxRetries, getNotificationListener, getNotificationListeners, getNotificationsCount, getRetryPeriod, isActive, removeNotificationListeners, sendConnectionNotificationLost, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPRemoteNotificationClientHandler

    public HTTPRemoteNotificationClientHandler(HTTPConnection connection,
                                               ConnectionNotificationEmitter emitter,
                                               HeartBeat heartbeat,
                                               java.util.Map environment)

Method Detail

### fetchNotifications

    protected javax.management.remote.NotificationResult fetchNotifications(long sequence,
                                                                            int maxNumber,
                                                                            long timeout)
                                                                     throws java.io.IOException

  Description copied from class: `AbstractRemoteNotificationClientHandler`
  Calls the server side to fetch notifications.

  Specified by:
    `fetchNotifications` in class `AbstractRemoteNotificationClientHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.